
# This file is automatically generated, you probably don't want to edit this

aipedjmvOptions <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    "aipedjmvOptions",
    inherit = jmvcore::Options,
    public = list(
        initialize = function(
            d = 0.5,
            w = 0.1,
            conf.level = 95, ...) {

            super$initialize(
                package='ufs',
                name='aipedjmv',
                requiresData=FALSE,
                ...)

            private$..d <- jmvcore::OptionNumber$new(
                "d",
                d,
                default=0.5)
            private$..w <- jmvcore::OptionNumber$new(
                "w",
                w,
                default=0.1)
            private$..conf.level <- jmvcore::OptionNumber$new(
                "conf.level",
                conf.level,
                default=95)

            self$.addOption(private$..d)
            self$.addOption(private$..w)
            self$.addOption(private$..conf.level)
        }),
    active = list(
        d = function() private$..d$value,
        w = function() private$..w$value,
        conf.level = function() private$..conf.level$value),
    private = list(
        ..d = NA,
        ..w = NA,
        ..conf.level = NA)
)

aipedjmvResults <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    inherit = jmvcore::Group,
    active = list(
        text = function() private$.items[["text"]],
        aipePlot = function() private$.items[["aipePlot"]]),
    private = list(),
    public=list(
        initialize=function(options) {
            super$initialize(
                options=options,
                name="",
                title="Sample size for accuracy: d")
            self$add(jmvcore::Html$new(
                options=options,
                name="text",
                title="Sample size for accuracy: d"))
            self$add(jmvcore::Image$new(
                options=options,
                name="aipePlot",
                title="Plot",
                width=400,
                height=400,
                renderFun=".plot"))}))

aipedjmvBase <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    "aipedjmvBase",
    inherit = jmvcore::Analysis,
    public = list(
        initialize = function(options, data=NULL, datasetId="", analysisId="", revision=0) {
            super$initialize(
                package = 'ufs',
                name = 'aipedjmv',
                version = c(1,0,0),
                options = options,
                results = aipedjmvResults$new(options=options),
                data = data,
                datasetId = datasetId,
                analysisId = analysisId,
                revision = revision,
                pause = NULL,
                completeWhenFilled = FALSE)
        }))

#' Sample size for accuracy: d
#'
#'
#' @param d .
#' @param w .
#' @param conf.level .
#' @return A results object containing:
#' \tabular{llllll}{
#'   \code{results$text} \tab \tab \tab \tab \tab a html \cr
#'   \code{results$aipePlot} \tab \tab \tab \tab \tab an image \cr
#' }
#'
#' @export
aipedjmv <- if (requireNamespace('jmvcore', quietly=TRUE)) function(
    d = 0.5,
    w = 0.1,
    conf.level = 95) {

    if ( ! requireNamespace('jmvcore'))
        stop('aipedjmv requires jmvcore to be installed (restart may be required)')


    options <- aipedjmvOptions$new(
        d = d,
        w = w,
        conf.level = conf.level)

    analysis <- aipedjmvClass$new(
        options = options,
        data = NULL) #data)

    analysis$run()

    analysis$results
}
