
# This file is automatically generated, you probably don't want to edit this

aiperjmvOptions <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    "aiperjmvOptions",
    inherit = jmvcore::Options,
    public = list(
        initialize = function(
            r = 0.3,
            w = 0.1,
            conf.level = 95, ...) {

            super$initialize(
                package='ufs',
                name='aiperjmv',
                requiresData=FALSE,
                ...)

            private$..r <- jmvcore::OptionNumber$new(
                "r",
                r,
                default=0.3)
            private$..w <- jmvcore::OptionNumber$new(
                "w",
                w,
                default=0.1)
            private$..conf.level <- jmvcore::OptionNumber$new(
                "conf.level",
                conf.level,
                default=95)

            self$.addOption(private$..r)
            self$.addOption(private$..w)
            self$.addOption(private$..conf.level)
        }),
    active = list(
        r = function() private$..r$value,
        w = function() private$..w$value,
        conf.level = function() private$..conf.level$value),
    private = list(
        ..r = NA,
        ..w = NA,
        ..conf.level = NA)
)

aiperjmvResults <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    inherit = jmvcore::Group,
    active = list(
        text = function() private$.items[["text"]],
        aipePlot = function() private$.items[["aipePlot"]]),
    private = list(),
    public=list(
        initialize=function(options) {
            super$initialize(
                options=options,
                name="",
                title="Sample size for accuracy: r")
            self$add(jmvcore::Html$new(
                options=options,
                name="text",
                title="Sample size for accuracy: r"))
            self$add(jmvcore::Image$new(
                options=options,
                name="aipePlot",
                title="Plot",
                width=400,
                height=400,
                renderFun=".plot"))}))

aiperjmvBase <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    "aiperjmvBase",
    inherit = jmvcore::Analysis,
    public = list(
        initialize = function(options, data=NULL, datasetId="", analysisId="", revision=0) {
            super$initialize(
                package = 'ufs',
                name = 'aiperjmv',
                version = c(1,0,0),
                options = options,
                results = aiperjmvResults$new(options=options),
                data = data,
                datasetId = datasetId,
                analysisId = analysisId,
                revision = revision,
                pause = NULL,
                completeWhenFilled = FALSE)
        }))

#' Sample size for accuracy: r
#'
#'
#' @param r .
#' @param w .
#' @param conf.level .
#' @return A results object containing:
#' \tabular{llllll}{
#'   \code{results$text} \tab \tab \tab \tab \tab a html \cr
#'   \code{results$aipePlot} \tab \tab \tab \tab \tab an image \cr
#' }
#'
#' @export
aiperjmv <- if (requireNamespace('jmvcore', quietly=TRUE)) function(
    r = 0.3,
    w = 0.1,
    conf.level = 95) {

    if ( ! requireNamespace('jmvcore'))
        stop('aiperjmv requires jmvcore to be installed (restart may be required)')


    options <- aiperjmvOptions$new(
        r = r,
        w = w,
        conf.level = conf.level)

    analysis <- aiperjmvClass$new(
        options = options,
        data = NULL) #data)

    analysis$run()

    analysis$results
}
