
# This file is automatically generated, you probably don't want to edit this

confintdjmvOptions <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    "confintdjmvOptions",
    inherit = jmvcore::Options,
    public = list(
        initialize = function(
            d = 0.5,
            n = 128,
            conf.level = 95, ...) {

            super$initialize(
                package='ufs',
                name='confintdjmv',
                requiresData=FALSE,
                ...)

            private$..d <- jmvcore::OptionNumber$new(
                "d",
                d,
                default=0.5)
            private$..n <- jmvcore::OptionNumber$new(
                "n",
                n,
                default=128)
            private$..conf.level <- jmvcore::OptionNumber$new(
                "conf.level",
                conf.level,
                default=95)

            self$.addOption(private$..d)
            self$.addOption(private$..n)
            self$.addOption(private$..conf.level)
        }),
    active = list(
        d = function() private$..d$value,
        n = function() private$..n$value,
        conf.level = function() private$..conf.level$value),
    private = list(
        ..d = NA,
        ..n = NA,
        ..conf.level = NA)
)

confintdjmvResults <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    inherit = jmvcore::Group,
    active = list(
        text = function() private$.items[["text"]],
        ciPlot = function() private$.items[["ciPlot"]]),
    private = list(),
    public=list(
        initialize=function(options) {
            super$initialize(
                options=options,
                name="",
                title="Effect Size Confidence Interval: Cohens's d")
            self$add(jmvcore::Html$new(
                options=options,
                name="text",
                title="Effect Size Confidence Interval: Cohens's d"))
            self$add(jmvcore::Image$new(
                options=options,
                name="ciPlot",
                title="Plot",
                width=400,
                height=400,
                renderFun=".plot"))}))

confintdjmvBase <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    "confintdjmvBase",
    inherit = jmvcore::Analysis,
    public = list(
        initialize = function(options, data=NULL, datasetId="", analysisId="", revision=0) {
            super$initialize(
                package = 'ufs',
                name = 'confintdjmv',
                version = c(1,0,0),
                options = options,
                results = confintdjmvResults$new(options=options),
                data = data,
                datasetId = datasetId,
                analysisId = analysisId,
                revision = revision,
                pause = NULL,
                completeWhenFilled = FALSE)
        }))

#' Effect Size Confidence Interval: Cohens's d
#'
#'
#' @param d .
#' @param n .
#' @param conf.level .
#' @return A results object containing:
#' \tabular{llllll}{
#'   \code{results$text} \tab \tab \tab \tab \tab a html \cr
#'   \code{results$ciPlot} \tab \tab \tab \tab \tab an image \cr
#' }
#'
#' @export
confintdjmv <- if (requireNamespace('jmvcore', quietly=TRUE)) function(
    d = 0.5,
    n = 128,
    conf.level = 95) {

    if ( ! requireNamespace('jmvcore'))
        stop('confintdjmv requires jmvcore to be installed (restart may be required)')


    options <- confintdjmvOptions$new(
        d = d,
        n = n,
        conf.level = conf.level)

    analysis <- confintdjmvClass$new(
        options = options,
        data = NULL) # data)

    analysis$run()

    analysis$results
}
