
# This file is automatically generated, you probably don't want to edit this

confintrjmvOptions <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    "confintrjmvOptions",
    inherit = jmvcore::Options,
    public = list(
        initialize = function(
            r = 0.3,
            N = 400,
            conf.level = 95, ...) {

            super$initialize(
                package='ufs',
                name='confintrjmv',
                requiresData=FALSE,
                ...)

            private$..r <- jmvcore::OptionNumber$new(
                "r",
                r,
                default=0.3)
            private$..N <- jmvcore::OptionNumber$new(
                "N",
                N,
                default=400)
            private$..conf.level <- jmvcore::OptionNumber$new(
                "conf.level",
                conf.level,
                default=95)

            self$.addOption(private$..r)
            self$.addOption(private$..N)
            self$.addOption(private$..conf.level)
        }),
    active = list(
        r = function() private$..r$value,
        N = function() private$..N$value,
        conf.level = function() private$..conf.level$value),
    private = list(
        ..r = NA,
        ..N = NA,
        ..conf.level = NA)
)

confintrjmvResults <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    inherit = jmvcore::Group,
    active = list(
        text = function() private$.items[["text"]],
        ciPlot = function() private$.items[["ciPlot"]]),
    private = list(),
    public=list(
        initialize=function(options) {
            super$initialize(
                options=options,
                name="",
                title="Effect Size Confidence Interval: Pearson's r")
            self$add(jmvcore::Html$new(
                options=options,
                name="text",
                title="Effect Size Confidence Interval: Pearson's r"))
            self$add(jmvcore::Image$new(
                options=options,
                name="ciPlot",
                title="Plot",
                width=400,
                height=400,
                renderFun=".plot"))}))

confintrjmvBase <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    "confintrjmvBase",
    inherit = jmvcore::Analysis,
    public = list(
        initialize = function(options, data=NULL, datasetId="", analysisId="", revision=0) {
            super$initialize(
                package = 'ufs',
                name = 'confintrjmv',
                version = c(1,0,0),
                options = options,
                results = confintrjmvResults$new(options=options),
                data = data,
                datasetId = datasetId,
                analysisId = analysisId,
                revision = revision,
                pause = NULL,
                completeWhenFilled = FALSE)
        }))

#' Effect Size Confidence Interval: Pearson's r
#'
#'
#' @param r .
#' @param N .
#' @param conf.level .
#' @return A results object containing:
#' \tabular{llllll}{
#'   \code{results$text} \tab \tab \tab \tab \tab a html \cr
#'   \code{results$ciPlot} \tab \tab \tab \tab \tab an image \cr
#' }
#'
#' @export
confintrjmv <- if (requireNamespace('jmvcore', quietly=TRUE)) function(
    r = 0.3,
    N = 400,
    conf.level = 95) {

    if ( ! requireNamespace('jmvcore'))
        stop('confintrjmv requires jmvcore to be installed (restart may be required)')


    options <- confintrjmvOptions$new(
        r = r,
        N = N,
        conf.level = conf.level)

    analysis <- confintrjmvClass$new(
        options = options,
        data = NULL) #data)

    analysis$run()

    analysis$results
}
