
# This file is automatically generated, you probably don't want to edit this

meansDiamondPlotjmvOptions <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    "meansDiamondPlotjmvOptions",
    inherit = jmvcore::Options,
    public = list(
        initialize = function(
            items = NULL,
            conf.level = 95,
            showData = TRUE, ...) {

            super$initialize(
                package='ufs',
                name='meansDiamondPlotjmv',
                requiresData=TRUE,
                ...)

            private$..items <- jmvcore::OptionVariables$new(
                "items",
                items,
                permitted=list(
                    "numeric"),
                suggested=list(
                    "continuous"))
            private$..conf.level <- jmvcore::OptionNumber$new(
                "conf.level",
                conf.level,
                default=95)
            private$..showData <- jmvcore::OptionBool$new(
                "showData",
                showData,
                default=TRUE)

            self$.addOption(private$..items)
            self$.addOption(private$..conf.level)
            self$.addOption(private$..showData)
        }),
    active = list(
        items = function() private$..items$value,
        conf.level = function() private$..conf.level$value,
        showData = function() private$..showData$value),
    private = list(
        ..items = NA,
        ..conf.level = NA,
        ..showData = NA)
)

meansDiamondPlotjmvResults <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    inherit = jmvcore::Group,
    active = list(
        text = function() private$.items[["text"]],
        diamondPlot = function() private$.items[["diamondPlot"]]),
    private = list(),
    public=list(
        initialize=function(options) {
            super$initialize(
                options=options,
                name="",
                title="Diamond plot: means")
            self$add(jmvcore::Html$new(
                options=options,
                name="text",
                title="Diamond plot: means"))
            self$add(jmvcore::Image$new(
                options=options,
                name="diamondPlot",
                title="Plot",
                width=400,
                height=400,
                renderFun=".plot"))}))

meansDiamondPlotjmvBase <- if (requireNamespace('jmvcore', quietly=TRUE)) R6::R6Class(
    "meansDiamondPlotjmvBase",
    inherit = jmvcore::Analysis,
    public = list(
        initialize = function(options, data=NULL, datasetId="", analysisId="", revision=0) {
            super$initialize(
                package = 'ufs',
                name = 'meansDiamondPlotjmv',
                version = c(1,0,0),
                options = options,
                results = meansDiamondPlotjmvResults$new(options=options),
                data = data,
                datasetId = datasetId,
                analysisId = analysisId,
                revision = revision,
                pause = NULL,
                completeWhenFilled = FALSE)
        }))

#' Diamond plot: means
#'
#'
#' @param data .
#' @param items .
#' @param conf.level .
#' @param showData .
#' @return A results object containing:
#' \tabular{llllll}{
#'   \code{results$text} \tab \tab \tab \tab \tab a html \cr
#'   \code{results$diamondPlot} \tab \tab \tab \tab \tab an image \cr
#' }
#'
#' @export
meansDiamondPlotjmv <- if (requireNamespace('jmvcore', quietly=TRUE)) function(
    data,
    items,
    conf.level = 95,
    showData = TRUE) {

    if ( ! requireNamespace('jmvcore'))
        stop('meansDiamondPlotjmv requires jmvcore to be installed (restart may be required)')

    if ( ! missing(items)) items <- jmvcore::resolveQuo(jmvcore::enquo(items))
    if (missing(data))
        data <- jmvcore::marshalData(
            parent.frame(),
            `if`( ! missing(items), items, NULL))


    options <- meansDiamondPlotjmvOptions$new(
        items = items,
        conf.level = conf.level,
        showData = showData)

    analysis <- meansDiamondPlotjmvClass$new(
        options = options,
        data = data)

    analysis$run()

    analysis$results
}
